Bug 910528 - (ksirk) Review Request: ksirk - A conquer-the-world game
Review Request: ksirk - A conquer-the-world game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10 916638
  Show dependency treegraph
 
Reported: 2013-02-12 14:15 EST by Rex Dieter
Modified: 2013-03-10 14:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-10 14:13:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 14:15:01 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksirk.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksirk-4.10.0-2.fc18.src.rpm
Description: A computerized version of a well known strategy game
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 09:55:15 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksirk.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ksirk-4.10.0-3.fc18.src.rpm

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update license, summary/description
Comment 2 T.C. Hollingsworth 2013-02-28 22:11:30 EST
Sorry, forgot about this one.  I'll make up for it by finishing out kdegames with kolf.  ;-)

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

==== TODO Post-Review ====

[ ]: This package existed previously in the Fedora repositories and will need
     to be unretired.

[ ]: Several license headers/files contain an incorrect address for the Free
     Software Foundation.

     Please inform upstream about these files.

[ ]: The spec file uses %define instead of %global.

     Consider using %global instead.  For more information, see:
     https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#.25global_preferred_over_.25define


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2)", "LGPL (v2.1 or later) (with incorrect FSF address)",
     "GPL (v2 or later)", "*No copyright* GPL (v2)", "Unknown or generated",
     "MIT/X11 (BSD like)", "*No copyright* LGPL", "GPL (v2 or later) (with
     incorrect FSF address)", "LGPL (v2.1 or later)". 10 files have unknown
     license. Detailed output of licensecheck in
     /home/fedora/patches/FedoraReview/910528-ksirk/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/ksirk

Looks like this one needs to be unretired too.

[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define.
     Note: %define system_iris 1

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ksirk-debuginfo-4.10.0-3.fc19.x86_64.rpm
          ksirk-4.10.0-3.fc19.src.rpm
          ksirk-4.10.0-3.fc19.x86_64.rpm
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacylistitem.h
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacylist.cpp
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacylist.h
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacylistitem.cpp
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacymanager.h
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacymanager.cpp
ksirk.x86_64: E: incorrect-fsf-address /usr/share/doc/ksirk-4.10.0/COPYING
ksirk.x86_64: W: no-manual-page-for-binary ksirkskineditor
ksirk.x86_64: W: no-manual-page-for-binary ksirk
3 packages and 0 specfiles checked; 7 errors, 2 warnings.

Please notify upstream about the incorrect FSF address; everything else is OK.


Rpmlint (installed packages)
----------------------------
# rpmlint ksirk-debuginfo ksirk
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacylistitem.h
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacylist.cpp
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacylist.h
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacylistitem.cpp
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacymanager.h
ksirk-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ksirk-4.10.0/ksirk/Jabber/privacymanager.cpp
ksirk.x86_64: E: incorrect-fsf-address /usr/share/doc/ksirk-4.10.0/COPYING
ksirk.x86_64: W: no-manual-page-for-binary ksirkskineditor
ksirk.x86_64: W: no-manual-page-for-binary ksirk
2 packages and 0 specfiles checked; 7 errors, 2 warnings.
# echo 'rpmlint-done:'

See above.

Requires
--------
ksirk-debuginfo-4.10.0-3.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

ksirk-4.10.0-3.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libiris.so.1()(64bit)
    libirisnet.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libkdegames(x86-64) >= 4.10.00
    libkdegames.so.6()(64bit)
    libkdegamesprivate.so.1()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libknewstuff3.so.4()(64bit)
    libm.so.6()(64bit)
    libphonon.so.4()(64bit)
    libpthread.so.0()(64bit)
    libqca.so.2()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

OK

Provides
--------
ksirk-debuginfo-4.10.0-3.fc19.x86_64.rpm:
    
    ksirk-debuginfo = 4.10.0-3.fc19
    ksirk-debuginfo(x86-64) = 4.10.0-3.fc19

ksirk-4.10.0-3.fc19.x86_64.rpm:
    
    ksirk = 4.10.0-3.fc19
    ksirk(x86-64) = 4.10.0-3.fc19

OK

MD5-sum check
-------------
http://download.kde.org/stable/4.10.0/src/ksirk-4.10.0.tar.xz :
  CHECKSUM(SHA256) this package     : 9fdbbe4ba4bd802b454b34b0d511eadd762760364e35996ae1da0cec57b430de
  CHECKSUM(SHA256) upstream package : 9fdbbe4ba4bd802b454b34b0d511eadd762760364e35996ae1da0cec57b430de

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b910528
Comment 3 Kevin Kofler 2013-03-01 07:47:39 EST
New Package SCM Request
=======================
Package Name: ksirk
Short Description: A conquer-the-world game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 4 Jon Ciesla 2013-03-01 08:09:52 EST
Unretired, please submit package change request for additional branches.
Comment 5 Rex Dieter 2013-03-01 09:51:59 EST
Package Change Request
======================
Package Name: ksirk
New Branches: devel f18 f17
Short Description: A conquer-the-world game
Owners: than rdieter jreznik kkofler ltinkl rnovacek


(included devel just in case, not sure if that's required or not)
Comment 6 Jon Ciesla 2013-03-01 10:49:48 EST
Git done (by process-git-requests).
Comment 7 Kevin Kofler 2013-03-10 14:13:01 EDT
This one is already imported and built, closing.

Note You need to log in before you can comment on or make changes to this bug.